@charset "UTF-8";

/* Template & Designed by Towako. */
/* https://ninawas.me */

/* ウェブフォントの読み込み */
@import url('https://fonts.googleapis.com/css?family=Noto+Serif+JP|Quicksand&display=swap');

@font-face {
    font-family: 'はんなり明朝';
    font-display: swap;
    src: url('https://cdn.leafscape.be/hannari/hannari_web.woff2') format("woff2");
}

/*-------------------------------------------------
このフォントはIPAフォントライセンスv1.0の下で提供されています。
http://ipafont.ipa.go.jp/ipa_font_license_v1.html
-------------------------------------------------*/

/* ページ全体に適用する */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-weight: normal;
    font-family: 'Noto Serif JP', serif;
}

/* 共通設定 */
body {
    background-color: #fff;
    text-align: center;
    line-height: 1.7;
    letter-spacing: 0.1em;
    font-size: 12.5px;
    color: #000;
}

/* リンク */
a {
    text-decoration: none;
    color: #404040;
}

#wrap {
    margin: 5em auto 0;
}

/* ヘッダー */
header,
section {
    text-align: justify;
    word-break: break-all;
}

header {
    margin: 0 auto 4em;
    width: 250px;
    animation-name: FadeIn;
    animation-duration: 4s;
}

header img {
    width: 100%;
    height: auto;
}

header p,
footer p {
    margin: 2.5em auto;
    font-size: 11px;
    color: #7e7e7e;
}

/* 大見出し */
h1 {
    margin: 1em auto 2em;
    letter-spacing: 0.2em;
    font-family: 'はんなり明朝', serif;
    font-size: 1.5em;
}

/* セクション */
section {
    margin: 0 auto 3em;
    width: 80%;
    max-width: 600px;
}

section p {
    margin: 0.5em auto 1em;
}

section strong {
    font-weight: bold;
    color: red;
}

/* 見出し */
h2 {
    display: inline-block;
    padding: 0 0.5em;
    font-family: 'はんなり明朝', serif;
    font-size: 1.1em;
}

h2,
h3 {
    margin-bottom: 0.5em;
}

h3 {
    font-family: 'はんなり明朝', serif;
    font-size: 1em;
}

/*h2の背景画像*/
.first {
    background: url('バナー1URL');
}

.second {
    background: url('バナー2URL');
}

.third {
    background: url('バナー3URL');
}

/*リスト系*/
ol,
ul {
    margin: 0.5em 0 0 0.5em;
}

ol li {
    list-style-position: inside;
}

ul li {
    list-style-type: none;
}

li {
    margin-bottom: 0.5em;
}

/*横並びリスト*/
.yoko li {
    display: inline-block;
    margin: 0 0.5em;
}


/*下線リンク*/
.linear li a {
    background: linear-gradient(transparent 70%, #e5e5e5 30%);
}

/*背景色リンク*/
.background li a {
    padding: 0.2em;
    background-color: #e5e5e5;
}

/*英字リンク*/
.en li a,
.menu a {
    font-family: 'Quicksand', 'Noto Serif JP', serif;
}

/*本文ページリンク部分*/
.menu {
    margin: 1.5em auto;
    text-align: center;
}

.menu a {
    margin: 0 1.5em;
}

/* アニメーション */
@keyframes FadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

/* フォーム系 */
textarea,
input[type] {
    -webkit-appearance: none;
    padding: 0.2em 0.5em;
    background-color: #e5e5e5;
    border: none;
    border-radius: 0;
}

textarea {
    width: 280px;
    height: 120px;
}

input[type=text] {
    width: 100px;
}

input[type=submit] {
    width: auto;
}

/* 横幅768px以上で読み込む */
@media screen and (min-width:768px) {
    body {
        font-size: 14px;
    }

    #wrap {
        width: 90%;
    }

    /* フロートを解除する */
    #wrap::after {
        display: block;
        content: '';
        clear: both;
    }

    /* ヘッダーをフロートさせる */
    header {
        margin: 0 auto;
        float: left;
    }

    /* 回り込みの指定 */
    main {
        overflow: hidden;
    }
}

/* 横幅1024px以上で読み込む */
@media screen and (min-width:1024px) {
    body {
        font-size: 15px;
    }

    /* カラムを横切って見出しを表示する*/
    h1 {
        column-span: all;
        letter-spacing: 0.3em;
        font-size: 1.8em;
    }

    /* 自動で2カラムにする*/
    main {
        columns: auto 2;
        column-rule: thin dashed #000;
    }
}
